Uploaded image for project: 'Pig'
  1. Pig
  2. PIG-3194

Changes to ObjectSerializer.java break compatibility with Hadoop 0.20.2

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 0.11
    • Fix Version/s: 0.12.0, 0.11.1
    • Component/s: None
    • Labels:
      None
    • Patch Info:
      Patch Available

      Description

      The changes to ObjectSerializer.java in the following commit
      http://svn.apache.org/viewvc?view=revision&revision=1403934 break compatibility with Hadoop 0.20.2 Clusters.

      The reason is, that the code uses methods from Apache Commons Codec 1.4 - which are not available in Apache Commons Codec 1.3 which is shipping with Hadoop 0.20.2.

      The offending methods are Base64.decodeBase64(String) and Base64.encodeBase64URLSafeString(byte[])

      If I revert these changes, Pig 0.11.0 candidate 2 works well with our Hadoop 0.20.2 Clusters.

        Attachments

        1. PIG-3194_2.patch
          5 kB
          Prashant Kommireddi
        2. PIG-3194.patch
          5 kB
          Prashant Kommireddi

          Activity

            People

            • Assignee:
              prkommireddi Prashant Kommireddi
              Reporter:
              kadeng Kai Londenberg
            • Votes:
              0 Vote for this issue
              Watchers:
              8 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: